tigase.jaxmpp.core.client.xmpp.stream

## Class XmppStreamsManager

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.stream.XmppStreamsManager

-     public class XmppStreamsManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_XMPP_STREAM_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmppStreamsManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultXMPPStream` | `getDefaultStream()`
    `static XmppStreamsManager` | `getStreamsManager(SessionObject sessionObject)`
    `XMPPStream` | `getXmppStream(JID jid)`
    `void` | `registerXmppStream(JID jid, XMPPStream xmppStream)`
    `void` | `setContext(Context context)`
    `static void` | `setStreamsManager(SessionObject sessionObject, XmppStreamsManager streamsManager)`
    `void` | `unregisterXmppStream(JID jid)`
    `void` | `writeToStream(Element stanza)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_XMPP_STREAM_KEY

          public static final String DEFAULT_XMPP_STREAM_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmppStreamsManager

          public XmppStreamsManager()

  - ### Method Detail

    - #### getStreamsManager

          public static XmppStreamsManager getStreamsManager(SessionObject sessionObject)

    - #### setStreamsManager

          public static void setStreamsManager(SessionObject sessionObject,
                                               XmppStreamsManager streamsManager)

    - #### getDefaultStream

          public DefaultXMPPStream getDefaultStream()

    - #### getXmppStream

          public XMPPStream getXmppStream(JID jid)

    - #### registerXmppStream

          public void registerXmppStream(JID jid,
                                         XMPPStream xmppStream)

    - #### setContext

          public void setContext(Context context)

    - #### unregisterXmppStream

          public void unregisterXmppStream(JID jid)

    - #### writeToStream

          public void writeToStream(Element stanza)
                             throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.